diff options
author | Robin H. Johnson <robbat2@gentoo.org> | 2015-08-08 13:49:04 -0700 |
---|---|---|
committer | Robin H. Johnson <robbat2@gentoo.org> | 2015-08-08 17:38:18 -0700 |
commit | 56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch) | |
tree | 3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-libs/czmq | |
download | gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2 gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip |
proj/gentoo: Initial commit
This commit represents a new era for Gentoo:
Storing the gentoo-x86 tree in Git, as converted from CVS.
This commit is the start of the NEW history.
Any historical data is intended to be grafted onto this point.
Creation process:
1. Take final CVS checkout snapshot
2. Remove ALL ChangeLog* files
3. Transform all Manifests to thin
4. Remove empty Manifests
5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$
5.1. Do not touch files with -kb/-ko keyword flags.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests
X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project
X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration
X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn
X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts
X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration
X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging
X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-libs/czmq')
-rw-r--r-- | net-libs/czmq/Manifest | 2 | ||||
-rw-r--r-- | net-libs/czmq/czmq-2.2.0-r2.ebuild | 46 | ||||
-rw-r--r-- | net-libs/czmq/czmq-3.0.2.ebuild | 52 | ||||
-rw-r--r-- | net-libs/czmq/files/version.sh | 21 | ||||
-rw-r--r-- | net-libs/czmq/metadata.xml | 8 |
5 files changed, 129 insertions, 0 deletions
diff --git a/net-libs/czmq/Manifest b/net-libs/czmq/Manifest new file mode 100644 index 000000000000..344b2925cd89 --- /dev/null +++ b/net-libs/czmq/Manifest @@ -0,0 +1,2 @@ +DIST czmq-2.2.0.tar.gz 592293 SHA256 eaf86f935da6ff9c5e273313d2c59ec90ca19b2339cc7e588a1fa0b4296829e7 SHA512 51825e8a62a53cb3ac5fcf95b217e7dceb1745d31e243679e3c6ad0c7cce26e5844119bd054312e3764f0299df7e26bf9373a68cb1e7afc675966aa616a90ab6 WHIRLPOOL 7f1044029a7648d18206410efba74a7613619630a02bab0425aa9faf27c43d73306820db702764686ecd22021ace09d21422f717ed1f631b8d4db95f51e8df0c +DIST czmq-3.0.2.tar.gz 818110 SHA256 8bca39ab69375fa4e981daf87b3feae85384d5b40cef6adbe9d5eb063357699a SHA512 ed2b97eb9b20ee8e491ba4c100920af0a54d146cb01c227fdef66939cdf4747c779d950df52e68782c68cfce1d4579b4870b005a8c58a32b477de2414b8b6453 WHIRLPOOL e384d670920cea02a5adabea51bfa7f98725ef0ba7e12d9417d26fc2f3e8dc35dc798a8b2f5a548a42f3d21d1395d304a45d00552cda2d51b1529e0bec6960f8 diff --git a/net-libs/czmq/czmq-2.2.0-r2.ebuild b/net-libs/czmq/czmq-2.2.0-r2.ebuild new file mode 100644 index 000000000000..052e84f1939f --- /dev/null +++ b/net-libs/czmq/czmq-2.2.0-r2.ebuild @@ -0,0 +1,46 @@ +# Copyright 1999-2015 Gentoo Foundation +# Distributed under the terms of the GNU General Public License v2 +# $Id$ + +EAPI=5 + +AUTOTOOLS_AUTORECONF=true + +inherit autotools-utils + +DESCRIPTION=" High-level C Binding for ZeroMQ" +HOMEPAGE="http://czmq.zeromq.org" +SRC_URI="http://download.zeromq.org/${P}.tar.gz" + +LICENSE="LGPL-3" +SLOT="0" +KEYWORDS="amd64 arm hppa x86" +IUSE="doc static-libs" + +RDEPEND=" + dev-libs/libsodium:= + sys-apps/util-linux + >=net-libs/zeromq-2.1 + <net-libs/zeromq-4 +" +DEPEND="${RDEPEND} + doc? ( + app-text/asciidoc + app-text/xmlto + )" + +DOCS=( NEWS AUTHORS ) + +src_prepare() { + sed -i -e 's|-Werror||g' configure.ac || die + autotools-utils_src_prepare +} + +src_install() { + autotools-utils_src_install + mv "${ED}"/usr/bin/makecert{,-czmq} || die +} + +pkg_postinst() { + elog "Due to file collisions we moved the makecert tool to makecert-${PN}." +} diff --git a/net-libs/czmq/czmq-3.0.2.ebuild b/net-libs/czmq/czmq-3.0.2.ebuild new file mode 100644 index 000000000000..c69664d75bae --- /dev/null +++ b/net-libs/czmq/czmq-3.0.2.ebuild @@ -0,0 +1,52 @@ +# Copyright 1999-2015 Gentoo Foundation +# Distributed under the terms of the GNU General Public License v2 +# $Id$ + +EAPI=5 + +AUTOTOOLS_AUTORECONF=true + +inherit autotools-utils + +DESCRIPTION=" High-level C Binding for ZeroMQ" +HOMEPAGE="http://czmq.zeromq.org" +SRC_URI="http://download.zeromq.org/${P}.tar.gz" + +LICENSE="LGPL-3" +SLOT="0" +KEYWORDS="~amd64 ~arm ~hppa ~x86" +IUSE="doc static-libs test" + +RDEPEND=" + sys-apps/util-linux + net-libs/zeromq +" +DEPEND="${RDEPEND} + doc? ( + app-text/asciidoc + app-text/xmlto + )" + +DOCS=( NEWS AUTHORS ) + +# Network access +RESTRICT=test + +src_prepare() { + use test && AUTOTOOLS_IN_SOURCE_BUILD=1 + sed -i -e 's|-Werror||g' configure.ac || die + autotools-utils_src_prepare +} + +src_test() { + autotools-utils_src_test check-verbose VERBOSE=1 +} + +src_install() { + autotools-utils_src_install + mv "${ED}"/usr/bin/makecert{,-czmq} || die +} + +pkg_postinst() { + elog "Due to file collisions we moved the makecert tool to makecert-${PN}." +} diff --git a/net-libs/czmq/files/version.sh b/net-libs/czmq/files/version.sh new file mode 100644 index 000000000000..527ba285ebbb --- /dev/null +++ b/net-libs/czmq/files/version.sh @@ -0,0 +1,21 @@ +#!/bin/sh +# +# This script extracts the version from the project header file +# +project=$1 +if [ ! -f include/$project.h ]; then + echo "version.sh: error: include/$project.h does not exist" 1>&2 + exit 1 +fi +MAJOR=`egrep '^#define .*_VERSION_MAJOR +[0-9]+$' include/$project.h` +MINOR=`egrep '^#define .*_VERSION_MINOR +[0-9]+$' include/$project.h` +PATCH=`egrep '^#define .*_VERSION_PATCH +[0-9]+$' include/$project.h` +if [ -z "$MAJOR" -o -z "$MINOR" -o -z "$PATCH" ]; then + echo "version.sh: error: could not extract version from include/$project.h" 1>&2 + exit 1 +fi +MAJOR=`echo $MAJOR | awk '{ print $3 }'` +MINOR=`echo $MINOR | awk '{ print $3 }'` +PATCH=`echo $PATCH | awk '{ print $3 }'` +echo $MAJOR.$MINOR.$PATCH | tr -d '\n' + diff --git a/net-libs/czmq/metadata.xml b/net-libs/czmq/metadata.xml new file mode 100644 index 000000000000..7bc6ee8ea837 --- /dev/null +++ b/net-libs/czmq/metadata.xml @@ -0,0 +1,8 @@ +<?xml version="1.0" encoding="UTF-8"?> +<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd"> +<pkgmetadata> + <maintainer> + <email>jlec@gentoo.org</email> + <name>Justin Lecher</name> + </maintainer> +</pkgmetadata> |